      subroutine ecri(mat,long,ifil)
      dimension mat(long)
c      write(6,*)'ecri long,ifil',long,ifil
      write(ifil) mat
      return
      end
       subroutine ecrc(c,long,ifil)
      character*1 c(long)
c     write(6,*)'ecri long,ifil',long,ifil
      write(ifil) c
      return
      end
